For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Visit appVisit websiteBook a demo
  • Get Started
    • Welcome
  • Authentication
    • Hirer Service Accounts
  • Concepts
    • Introduction
    • Directory & Contractors
    • Contracts
    • Approvals
    • Timesheeting
    • Checklists
  • Webhooks
    • Portal Access
    • Endpoint Setup
    • Securing Your Endpoints
    • Monitoring, Debugging & Recovery
  • Client API
      • POSTInvite a contact
      • POSTUpdate a client contact's custom fields
    • Webhook Events
LogoLogo
Visit appVisit websiteBook a demo
Client APIClient Contacts

Update a client contact's custom fields

POST
https://api.yunojuno.com/client_contacts/:client_contact_id/custom_fields/
POST
/client_contacts/:client_contact_id/custom_fields/
$curl -X POST https://api.yunojuno.com/client_contacts/client_contact_id/custom_fields/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "custom_fields": [
> {
> "name": "string",
> "value": "string"
> }
> ]
>}'
200Successful
1{
2 "data": {
3 "client_contact_id": "string",
4 "freelancer_id": "string",
5 "custom_fields": [
6 {
7 "name": "string",
8 "value": "string",
9 "metadata": null
10 }
11 ],
12 "url": "string"
13 }
14}

Update the custom fields for a client contact.

Client contact custom fields are client-defined metadata (for example CRM IDs or account references). Only the supplied fields are validated and updated; other fields remain unchanged.

Was this page helpful?
Previous

Create a spend requisition

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

client_contact_idstringRequiredformat: "^clct_c[a-z0-9]{24}$"

Request

This endpoint expects an object.
custom_fieldslist of objectsRequired
An array of custom fields to update for the client contact.

Response

dataobject
The client contact object. This object represents the lifetime relationship between a client and a freelancer on the platform.